PHP Manual
Prev |  | Next

# ifx_getsqlca

(PHP 3 >= 3.0.8, PHP 4, PHP 5)

ifx_getsqlca -- Get the contents of sqlca.sqlerrd[0..5] after a query

## Description

array ifx_getsqlca ( resource result_id )

Returns a pseudo-row with sqlca.sqlerrd[0] ... sqlca.sqlerrd[5] after the query associated with `result_id`.

For inserts, updates and deletes the values returned are those as set by the server after executing the query. This gives access to the number of affected rows and the serial insert value. For `SELECT`s the values are those saved after the `PREPARE` statement. This gives access to the *estimated* number of affected rows. The use of this function saves the overhead of executing a `SELECT dbinfo('sqlca.sqlerrdx')` query, as it retrieves the values that were saved by the ifx driver at the appropriate moment.

## Parameters

`result_id`

  `result_id` is a valid result id returned by ifx_query() or ifx_prepare() (select type queries only!).

## Return Values

Returns an associative array with the following entries: `sqlerrd0`, `sqlerrd1`, `sqlerrd2`, `sqlerrd3`, `sqlerrd4` and `sqlerrd5`.

## Examples

Example 1. Retrieve Informix sqlca.sqlerrd[x] values

`<?php /* assume the first column of 'sometable' is a serial */ $qid = ifx_query("insert into sometable values (0, '2nd column', 'another column') ", $connid); if (!$qid) { /* ... error ... */ } $sqlca = ifx_getsqlca($qid); $serial_value = $sqlca["sqlerrd1"]; echo "The serial value of the inserted row is : $serial_value<br />\n"; ?>`

Prev | Home | Next
ifx_get_char | Up | ifx_htmltbl_result